## GntBox

GntBox — A box for packing widgets in a single row or column

## Functions

GType | gnt_box_get_gtype ()
#define | gnt_vbox_new()
#define | gnt_hbox_new()
GntWidget * | gnt_box_new ()
GList * | gnt_box_get_children ()
void | gnt_box_add_widget ()
void | gnt_box_set_title ()
void | gnt_box_set_pad ()
void | gnt_box_set_toplevel ()
void | gnt_box_sync_children ()
void | gnt_box_set_alignment ()
void | gnt_box_remove ()
void | gnt_box_remove_all ()
void | gnt_box_readjust ()
void | gnt_box_set_fill ()
void | gnt_box_move_focus ()
void | gnt_box_give_focus_to_child ()

## Types and Values

enum | GntAlignment
struct | GntBox

## Description

## Functions

### gnt_box_get_gtype ()

    GType
    gnt_box_get_gtype (void);

The GType for GntBox.

#### Returns

The GType.

### gnt_vbox_new()

    #define             gnt_vbox_new(homo)

### gnt_hbox_new()

    #define             gnt_hbox_new(homo)

### gnt_box_new ()

    GntWidget *
    gnt_box_new (gboolean homo,
                 gboolean vert);

Create a new GntBox.

#### Parameters

homo | If `TRUE`, all the widgets in it will have the same width (or height) |
vert | Whether the widgets in it should be stacked vertically (if `TRUE`) or horizontally (if `FALSE`). |

#### Returns

The new GntBox.

### gnt_box_get_children ()

    GList *
    gnt_box_get_children (GntBox *box);

Returns a list of the children of the widget.

#### Parameters

box | The box |

#### Returns

A new list containing the children of the box.

[element-type GntWidget][transfer container]

Since: 2.14.0

### gnt_box_add_widget ()

    void
    gnt_box_add_widget (GntBox *box,
                        GntWidget *widget);

Add a widget in the box.

#### Parameters

box | The box |
widget | The widget to add |

### gnt_box_set_title ()

    void
    gnt_box_set_title (GntBox *box,
                       const char *title);

Set a title for the box.

#### Parameters

box | The box |
title | The title to set |

### gnt_box_set_pad ()

    void
    gnt_box_set_pad (GntBox *box,
                     int pad);

Set the padding to use between the widgets in the box.

#### Parameters

box | The box |
pad | The padding to use |

### gnt_box_set_toplevel ()

    void
    gnt_box_set_toplevel (GntBox *box,
                          gboolean set);

Set whether it's a toplevel box (ie, a window) or not. If a box is toplevel, then it will show borders, the title (if set) and shadow (if enabled in `.gntrc`)

#### Parameters

box | The box |
set | `TRUE` if it's a toplevel box, `FALSE` otherwise. |

### gnt_box_sync_children ()

    void
    gnt_box_sync_children (GntBox *box);

Reposition and refresh the widgets in the box.

#### Parameters

box | The box |

### gnt_box_set_alignment ()

    void
    gnt_box_set_alignment (GntBox *box,
                           GntAlignment alignment);

Set the alignment for the widgets in the box.

#### Parameters

box | The box |
alignment | The alignment to use |

### gnt_box_remove ()

    void
    gnt_box_remove (GntBox *box,
                    GntWidget *widget);

Remove a widget from the box. Calling this does NOT destroy the removed widget.

#### Parameters

box | The box |
widget | The widget to remove |

### gnt_box_remove_all ()

    void
    gnt_box_remove_all (GntBox *box);

Remove all widgets from the box. This DOES destroy all widgets in the box.

#### Parameters

box | The box |

### gnt_box_readjust ()

    void
    gnt_box_readjust (GntBox *box);

Readjust the size of each child widget, reposition the child widgets and recalculate the size of the box.

#### Parameters

box | The box |

### gnt_box_set_fill ()

    void
    gnt_box_set_fill (GntBox *box,
                      gboolean fill);

Set whether the widgets in the box should fill the empty spaces.

#### Parameters

box | The box |
fill | Whether the child widgets should fill the empty space |

### gnt_box_move_focus ()

    void
    gnt_box_move_focus (GntBox *box,
                        int dir);

Move the focus from one widget to the other.

#### Parameters

box | The box |
dir | The direction. If it's 1, then the focus is moved forwards, if it's -1, the focus is moved backwards. |

### gnt_box_give_focus_to_child ()

    void
    gnt_box_give_focus_to_child (GntBox *box,
                                 GntWidget *widget);

Give focus to a specific child widget.

#### Parameters

box | The box |
widget | The child widget to give focus |

## Types and Values

### enum GntAlignment

#### Members

GNT_ALIGN_LEFT |  |
GNT_ALIGN_RIGHT |  |
GNT_ALIGN_MID |  |
GNT_ALIGN_TOP |  |
GNT_ALIGN_BOTTOM |  |

### struct GntBox

    struct GntBox {
    	GntWidget parent;

    	gboolean GNTSEAL(vertical);
    	gboolean GNTSEAL(homogeneous);
    	gboolean GNTSEAL(fill);
    	GList *GNTSEAL(list);		/* Deprecated. Use gnt_box_get_children. */

    	GntWidget *GNTSEAL(active);
    	int GNTSEAL(pad);			/* Number of spaces to use between widgets */
    	GntAlignment GNTSEAL(alignment);  /* How are the widgets going to be aligned? */

    	char *GNTSEAL(title);
    	GList *GNTSEAL(focus);		/* List of widgets to cycle focus (only valid for parent boxes) */
    };

Access to any fields is deprecated. See inline comments for replacements.